https://bugs.gentoo.org/684180

--- a/teco.el
+++ b/teco.el
@@ -451,10 +451,10 @@
 and does
 	(aset teco:exec-1 ?x 'teco:type-1-x)"
   (let ((s (intern (concat "teco:type-1-" (char-to-string char)))))
-    (` (progn
-	 (defun (, s) ()
-	   (,@ body))
-	 (aset teco:exec-1 (, char) '(, s))))))
+    `(progn
+       (defun ,s ()
+	 ,@body)
+       (aset teco:exec-1 ,char ',s))))
 
 (defmacro teco:define-type-2 (char &rest body)
   "Define the code to process a type 2 character.
@@ -467,10 +467,10 @@
 and does
 	(aset teco:exec-2 ?x 'teco:type-2-x)"
   (let ((s (intern (concat "teco:type-2-" (char-to-string char)))))
-    (` (progn
-	 (defun (, s) ()
-	   (,@ body))
-	 (aset teco:exec-2 (, char) '(, s))))))
+    `(progn
+       (defun ,s ()
+	 ,@body)
+       (aset teco:exec-2 ,char ',s))))
 
 (defconst teco:char-types (make-vector 256 0)
   "Define the characteristics of characters, as tested by \":
